//Do not edit! This file was generated by Unity-ROS MessageGeneration.
using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Unity.Robotics.ROSTCPConnector.MessageGeneration;

namespace RosMessageTypes.RosTcpEndpoint
{
    [Serializable]
    public class SocialExpressionFeedback : Message
    {
        public const string k_RosMessageName = "hlrc_server/SocialExpressionFeedback";
        public override string RosMessageName => k_RosMessageName;

        public uint result;

        public SocialExpressionFeedback()
        {
            this.result = 0;
        }

        public SocialExpressionFeedback(uint result)
        {
            this.result = result;
        }

        public static SocialExpressionFeedback Deserialize(MessageDeserializer deserializer) => new SocialExpressionFeedback(deserializer);

        private SocialExpressionFeedback(MessageDeserializer deserializer)
        {
            deserializer.Read(out this.result);
        }

        public override void SerializeTo(MessageSerializer serializer)
        {
            serializer.Write(this.result);
        }

        public override string ToString()
        {
            return "SocialExpressionFeedback: " +
            "\nresult: " + result.ToString();
        }

#if UNITY_EDITOR
        [UnityEditor.InitializeOnLoadMethod]
#else
        [UnityEngine.RuntimeInitializeOnLoadMethod]
#endif
        public static void Register()
        {
            MessageRegistry.Register(k_RosMessageName, Deserialize, MessageSubtopic.Feedback);
        }
    }
}
